Bug 1315545 - 'katello-remove --help' does not provide help, but starts remove process
'katello-remove --help' does not provide help, but starts remove process
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Chris Roberts
Bruno Rocha
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-03-07 20:47 EST by David O'Brien
Modified: 2018-02-21 11:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 11:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15051 None None None 2016-05-13 23:01 EDT

  None (edit)
Description David O'Brien 2016-03-07 20:47:34 EST
Description of problem:

If you run 'katello-remove --help' rather than getting help on what to expect, the command displays "this will remove everything... there is no going back" etc. There is an "escape clause" because it asks for confirmation twice, but it's disconcerting.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 'katello-remove --help'

Actual results:

See Description.

Expected results:

Should see help info about how to use the command, ramifications, etc., and not just start to run it.

Additional info:
Comment 2 Chris Roberts 2016-05-13 22:15:03 EDT
redmine issue created

Comment 3 Chris Roberts 2016-05-13 22:42:16 EDT

Comment 4 Bryan Kearney 2016-05-16 10:10:49 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/15051 has been closed
Comment 5 Bryan Kearney 2016-05-16 10:24:30 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/15051 has been closed
Comment 7 Bruno Rocha 2016-11-17 13:01:54 EST
VErified in:

satellite-6.3.0-6.1.beta.el7sat.noarch - RHEL7


[root@ibm-x3550m3-09 ~]# katello-remove --help
This script is used to remove all katello related packages and services. 
This should only be used if you are sure you are wanting to completly remove Katello from this machine and lose all of your settings and synced content.
Comment 8 pm-sat@redhat.com 2018-02-21 11:49:54 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.